<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Groups/Scripts/5_mission/dayzexpansion_groups/cot/groups/expansioncotgroupsmarker.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d20/a01421_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansioncotgroupsmarker.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d20/a01421.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionCOTGroupsMapMarker.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifdef JM_COT</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#ifdef EXPANSIONMODNAVIGATION</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="keyword">class </span>ExpansionCOTGroupsMapMarker: <a class="code hl_class" href="../../d1/d03/a06386.html">ExpansionMapMarker</a></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>{</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="keyword">private</span> <span class="keywordtype">bool</span> m_IsEditting = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="keyword">private</span> ExpansionCOTGroupsMenu m_COTGroupsMenu;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="keywordtype">void</span> SetCOTGroupsMenu(ExpansionCOTGroupsMenu menu)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        m_COTGroupsMenu = menu;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_enumvalue" href="../../da/d96/a00782.html#abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68">Update</a>(<span class="keywordtype">float</span> pDt)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">if</span> (!m_Dragging)</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <span class="keywordtype">float</span> x, y;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> = m_MapWidget.MapToScreen(m_WorldPosition);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            m_LayoutRoot.GetParent().GetScreenPos(x, y); <span class="comment">//! Map widget</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            m_LayoutRoot.SetPos(<a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[0] - x, <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[1] - y, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d03/a06386.html#a2efc31131befecb474537b52e5d0c03e">OnMarkerClick</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        m_COTGroupsMenu.EditMarker(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d03/a06386.html#afd55735558e4f108c8c308ad83a9dce6">SetIcon</a>(<a class="code hl_class" href="../../dd/d0e/a04350.html">ExpansionIcon</a> icon)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        super.SetIcon(icon);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">if</span> (!m_CurrentExpansionIcon)</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> OnDrag(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">if</span> (w != NULL &amp;&amp; IsDragWidget(w) &amp;&amp; <a class="code hl_function" href="../../d1/d03/a06386.html#ac356964cb92fad2619d4917c13ee84f9">CanDrag</a>())</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            m_LayoutRoot.GetPos(m_DragOffsetX, m_DragOffsetY);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            m_DragOffsetX = x;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            m_DragOffsetY = y;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            m_Dragging = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> OnDragging(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, Widget reciever)</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">if</span> (w != NULL &amp;&amp; IsDragWidget(w) &amp;&amp; <a class="code hl_function" href="../../d1/d03/a06386.html#ac356964cb92fad2619d4917c13ee84f9">CanDrag</a>())</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <a class="code hl_function" href="../../d1/d03/a06386.html#a15a60bdb0c88a1a2c8c682469158dfa9">SetPosition</a>(x - m_DragOffsetX, y - m_DragOffsetY);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d03/a06386.html#a4fccf6427a4acffc1daedab3e16f28ec">OnDrop</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, Widget reciever)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">if</span> (w != NULL &amp;&amp; IsDragWidget(w) &amp;&amp; <a class="code hl_function" href="../../d1/d03/a06386.html#ac356964cb92fad2619d4917c13ee84f9">CanDrag</a>())</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <a class="code hl_function" href="../../d1/d03/a06386.html#a15a60bdb0c88a1a2c8c682469158dfa9">SetPosition</a>(x - m_DragOffsetX, y - m_DragOffsetY, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            m_Dragging = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d03/a06386.html#a15a60bdb0c88a1a2c8c682469158dfa9">SetPosition</a>(<span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y, <span class="keywordtype">bool</span> performDropEvent = <span class="keyword">false</span>)</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d1/d03/a06386.html#aa3b1bc31d1ed3b284625ba43e2ae9414">IsCreating</a>())</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            m_CreationPosX = x;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            m_CreationPosY = y;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        m_LayoutRoot.SetPos(x, y, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        vector mapPos = m_MapWidget.ScreenToMap(Vector(x, y, 0));</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_function" href="../../d1/d03/a06386.html#a15a60bdb0c88a1a2c8c682469158dfa9">SetPosition</a>(mapPos, performDropEvent);</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d03/a06386.html#a15a60bdb0c88a1a2c8c682469158dfa9">SetPosition</a>(vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>, <span class="keywordtype">bool</span> performDropEvent = <span class="keyword">false</span>)</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[1] = GetGame().SurfaceY(<a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[0], <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[2]) + 1.0;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        m_WorldPosition = <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        vector mPos = m_MapWidget.MapToScreen(m_WorldPosition);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        Print(<span class="stringliteral">&quot;ExpansionCOTGroupsMapMarker::SetPosition - World position: X: &quot;</span> + m_WorldPosition[0] + <span class="stringliteral">&quot; | Y: &quot;</span> + m_WorldPosition[2]);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        Print(<span class="stringliteral">&quot;ExpansionCOTGroupsMapMarker::SetPosition - Screen position: X: &quot;</span> + mPos[0] + <span class="stringliteral">&quot; | Y: &quot;</span> + mPos[1]);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        m_LayoutRoot.SetPos(mPos[0], mPos[1], <span class="keyword">true</span>);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">if</span> (performDropEvent)</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <a class="code hl_function" href="../../d1/d03/a06386.html#a4fccf6427a4acffc1daedab3e16f28ec">OnDrop</a>();</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d03/a06386.html#a44452b773e625eaa106d0357f6941832">FocusOnMarker</a>(<span class="keywordtype">bool</span> shouldEdit = <span class="keyword">false</span>)</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        vector worldPos = <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>();</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordtype">float</span> pos_x = worldPos[0];</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordtype">float</span> pos_y = worldPos[2];</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordtype">float</span> map_width, map_height;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        GetMapWidget().GetScreenSize(map_width, map_height);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordtype">float</span> shift_x = map_width;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordtype">float</span> shift_y = map_height;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        vector map_pos = Vector(pos_x + shift_x, 0, pos_y - shift_y);</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        GetMapWidget().SetScale(0.05);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        GetMapWidget().SetMapPos(map_pos);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d03/a06386.html#a802e5394c3dc49a8b02c141f364fc2ca">IsEditting</a>()</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="keywordflow">return</span> m_IsEditting;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    <span class="keywordtype">void</span> SetIsEditting(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        m_IsEditting = state;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d03/a06386.html#ac356964cb92fad2619d4917c13ee84f9">CanDrag</a>()</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>};</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aa00134_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d76/a00134_source.html#l00293">expansionterritory.c:293</a></div></div>
<div class="ttc" id="aa00782_html_abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68"><div class="ttname"><a href="../../da/d96/a00782.html#abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68">Update</a></div><div class="ttdeci">@ Update</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d96/a00782_source.html#l00280">expansionrpc.c:280</a></div></div>
<div class="ttc" id="aa02441_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd6/a02441_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa04350_html"><div class="ttname"><a href="../../dd/d0e/a04350.html">ExpansionIcon</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00013">expansionicon.c:14</a></div></div>
<div class="ttc" id="aa06386_html"><div class="ttname"><a href="../../d1/d03/a06386.html">ExpansionMapMarker</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d23/a02120_source.html#l00013">expansionmapmarker.c:14</a></div></div>
<div class="ttc" id="aa06386_html_a15a60bdb0c88a1a2c8c682469158dfa9"><div class="ttname"><a href="../../d1/d03/a06386.html#a15a60bdb0c88a1a2c8c682469158dfa9">ExpansionMapMarker::SetPosition</a></div><div class="ttdeci">override void SetPosition(int x, int y, bool performDropEvent=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d23/a02120_source.html#l00271">expansionmapmarker.c:271</a></div></div>
<div class="ttc" id="aa06386_html_a2efc31131befecb474537b52e5d0c03e"><div class="ttname"><a href="../../d1/d03/a06386.html#a2efc31131befecb474537b52e5d0c03e">ExpansionMapMarker::OnMarkerClick</a></div><div class="ttdeci">override void OnMarkerClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d23/a02120_source.html#l00497">expansionmapmarker.c:497</a></div></div>
<div class="ttc" id="aa06386_html_a44452b773e625eaa106d0357f6941832"><div class="ttname"><a href="../../d1/d03/a06386.html#a44452b773e625eaa106d0357f6941832">ExpansionMapMarker::FocusOnMarker</a></div><div class="ttdeci">void FocusOnMarker(bool shouldEdit=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d23/a02120_source.html#l00502">expansionmapmarker.c:502</a></div></div>
<div class="ttc" id="aa06386_html_a4fccf6427a4acffc1daedab3e16f28ec"><div class="ttname"><a href="../../d1/d03/a06386.html#a4fccf6427a4acffc1daedab3e16f28ec">ExpansionMapMarker::OnDrop</a></div><div class="ttdeci">override void OnDrop()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d23/a02120_source.html#l00294">expansionmapmarker.c:294</a></div></div>
<div class="ttc" id="aa06386_html_a802e5394c3dc49a8b02c141f364fc2ca"><div class="ttname"><a href="../../d1/d03/a06386.html#a802e5394c3dc49a8b02c141f364fc2ca">ExpansionMapMarker::IsEditting</a></div><div class="ttdeci">bool IsEditting()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d23/a02120_source.html#l00108">expansionmapmarker.c:108</a></div></div>
<div class="ttc" id="aa06386_html_aa3b1bc31d1ed3b284625ba43e2ae9414"><div class="ttname"><a href="../../d1/d03/a06386.html#aa3b1bc31d1ed3b284625ba43e2ae9414">ExpansionMapMarker::IsCreating</a></div><div class="ttdeci">bool IsCreating()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d23/a02120_source.html#l00118">expansionmapmarker.c:118</a></div></div>
<div class="ttc" id="aa06386_html_ac356964cb92fad2619d4917c13ee84f9"><div class="ttname"><a href="../../d1/d03/a06386.html#ac356964cb92fad2619d4917c13ee84f9">ExpansionMapMarker::CanDrag</a></div><div class="ttdeci">override bool CanDrag()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d23/a02120_source.html#l00553">expansionmapmarker.c:553</a></div></div>
<div class="ttc" id="aa06386_html_afd55735558e4f108c8c308ad83a9dce6"><div class="ttname"><a href="../../d1/d03/a06386.html#afd55735558e4f108c8c308ad83a9dce6">ExpansionMapMarker::SetIcon</a></div><div class="ttdeci">override void SetIcon(ExpansionIcon icon)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d23/a02120_source.html#l00160">expansionmapmarker.c:160</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_ff949afafcae8fbf6c7a19a8a5258c33.html">Groups</a></li><li class="navelem"><a class="el" href="../../dir_423eee387034e8a926745b1aa01a969e.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_bcefeea0a52b6023326c8b162402ee09.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_3aca05df255e4fe32c61957136c7c2ad.html">dayzexpansion_groups</a></li><li class="navelem"><a class="el" href="../../dir_2ef819a373a6a6c4da0d0f16e7322fa9.html">cot</a></li><li class="navelem"><a class="el" href="../../dir_26404d6de7756e2c4208b6442980cc30.html">groups</a></li><li class="navelem"><a class="el" href="../../d4/d20/a01421.html">expansioncotgroupsmarker.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
